Chuyển đến nội dung
Diễn đàn CADViet

naturooo

Thành viên
  • Số lượng nội dung

    126
  • Đã tham gia

  • Lần ghé thăm cuối

  • Ngày trúng

    8

Cộng đồng

24 (tàm tạm)

About naturooo

  • Cấp bậc
    biết lệnh move

Khách truy cập Tiểu sử gần đây

1.766 chế độ xem tiểu sử
  1. naturooo

    Xin xỏ lisp tạo và đổi tên Block

    Mà chắc bạn cũng chưa hiểu bác Nhân nói về cái clip đâu nhỉ.
  2. naturooo

    Xin xỏ lisp tạo và đổi tên Block

    Bác ấy cần file cad mẫu để kiểm tra lisp chạy thê nào. Đọc lại cmt bác thiep chưa?
  3. naturooo

    Xin xỏ lisp tạo và đổi tên Block

    Nên xem lại cách hỏi, xem hiểu, đọc hiểu đi bạn. Tây hay ta nào cũng vậy, gửi cái file mẫu lên cho ai muốn giúp thì còn có hứng giúp. Mỗi cái ảnh ngó thấy ai thèm giúp cho. Thấy bác thiệp nói ở trên không. Còn bác DUngNguyen685 thì cũng teamview sửa lỗi lisp không chạy đúng trên máy bạn. Hai bác nhiệt tình free vậy còn tự ái gì nữa. Không ngáo ngáo à?
  4. naturooo

    Xin xỏ lisp tạo và đổi tên Block

    Ngáo ngáo kiểu gì ấy.
  5. naturooo

    ý tưởng copy view từ máy này sang máy khác bằng dòng lệnh

    Có thể giải pháp cấp cho họ tọa giới hạn window hiện hành để họ đưa vào lệnh zoom/window trên máy họ.
  6. naturooo

    ý tưởng copy view từ máy này sang máy khác bằng dòng lệnh

    Chung file xref chứ sao mở cùng 1 file mà làm chung được nhỉ???
  7. Qua bên layout vẽ đường xl qua vị trí chi tiết cần zoom. Qua bên model xóa hết mấy block vớ vẩn đi. Mình làm rồi mới nói chứ không nói cho vui với bạn đâu. Không xóa đi thì zoom đến mai cũng chẳng thấy được.
  8. Thực ra không phải không nhìn thấy mà nhóm đối tượng của bạn quá bé thôi. Do lỗi nào đó mà mấy cái block thành các điểm rất xa nhau. Sửa lại block lỗi hoặc xóa nó đi nếu không cần thì zoom thấy thôi.
  9. naturooo

    Tặng anh em 1 tool để chụp nhanh màn hình

    Sao bác không chụp cả rồi crop đi. Em toàn dùng luôn tiện ích chụp của Zalo luôn :D
  10. Bản tải lại thử xem nhé
  11. Đây nhé bạn: ;; List Box - Lee Mac ;; Displays a DCL list box allowing the user to make a selection from the supplied data. ;; msg - [str] Dialog label ;; lst - [lst] List of strings to display ;; bit - [int] 1=allow multiple; 2=return indexes ;; Returns: [lst] List of selected items/indexes, else nil (defun LM:listbox (msg lst bit / dch des tmp rtn) (cond ((not (and (setq tmp (vl-filename-mktemp nil nil ".dcl")) (setq des (open tmp "w")) (write-line (strcat "listbox:dialog{label=\"" msg "\";spacer;:list_box{key=\"list\";multiple_select=" (if (= 1 (logand 1 bit)) "true" "false" ) ";width=50;height=15;}spacer;ok_cancel;}" ) des ) (not (close des)) (< 0 (setq dch (load_dialog tmp))) (new_dialog "listbox" dch) ) ) (prompt "\nError Loading List Box Dialog.") ) (t (start_list "list") (foreach itm lst (add_list itm)) (end_list) (setq rtn (set_tile "list" "0")) (action_tile "list" "(setq rtn $value)") (setq rtn (if (= 1 (start_dialog)) (if (= 2 (logand 2 bit)) (mapcar '(lambda (x) (nth x lst)) (read (strcat "(" rtn ")")) ) (read (strcat "(" rtn ")")) ; (mapcar '(lambda ( x ) (nth x lst)) (read (strcat "(" rtn ")"))) ) ) ) ) ) (if (< 0 dch) (unload_dialog dch) ) (if (and tmp (setq tmp (findfile tmp))) (vl-file-delete tmp) ) rtn ) ;====================================Main Lisp: Quick Filter (QF) Update 19/08/2020 Loc theo "True Color"====================================== (defun C:QF (/ ss ss1 ob lyrname colr blkname txth txtn txtvl lstQF lstDCL lstidx dimsty lstfi a c d l ) (setq ss1 (entsel "\nSelect Object: ")) (while (or (null ss1) (= "" (cdr (assoc 0 (entget (car ss1))))) ) (setq ss1 (entsel "\nSelect Object Again: ")) ) (setq ss (entget (car ss1))) (setq ob (cdr (assoc 0 ss))) (setq lstQF (list (cons 0 ob))) (if (= "INSERT" ob) (setq lstDCL (list (strcat "Object : " "Block"))) (setq lstDCL (list (strcat "Object : " ob))) ) ;endif (setq lyrname (cdr (assoc 8 ss))) (setq lstQF (append lstQF (list (cons 8 lyrname)))) (setq lstDCL (append lstDCL (list (strcat "Layer : " lyrname)) ) ) (setq c (cond ((cdr (assoc 62 ss))) ((abs (cdr (assoc 62 (tblsearch "LAYER" (cdr (assoc 8 ss))))) ) ) ) ) (while (setq d (tblnext "LAYER" (null d))) (if (= c (abs (cdr (assoc 62 d)))) (setq l (cons "," (cons (cdr (assoc 2 d)) l))) ) ) (setq lstQF (append lstQF (list "True Color"))) (setq lstDCL (append lstDCL (list (strcat "True Color : " (rtos c 2 0))) ) ) (if (= 2 (car (assoc 2 ss))) (progn (setq blkname (cdr (assoc 2 ss))) (setq lstQF (append lstQF (list (cons 2 blkname)))) (setq lstDCL (append lstDCL (list (strcat "Block Name : " blkname)) ) ) ) ;end progn ) ;end if (if (= 40 (car (assoc 40 ss))) (progn (setq txth (cdr (assoc 40 ss))) (setq lstQF (append lstQF (list (cons 40 txth)))) (setq lstDCL (append lstDCL (list (strcat "Text Height : " (rtos txth))) ) ) ) ;end progn ) ;end if (if (= 7 (car (assoc 7 ss))) (progn (setq txtn (cdr (assoc 7 ss))) (setq lstQF (append lstQF (list (cons 7 txtn)))) (setq lstDCL (append lstDCL (list (strcat "Text Style Name : " txtn)) ) ) ) ;end progn ) ;end if (if (= 1 (car (assoc 1 ss))) (progn (setq txtvl (cdr (assoc 1 ss))) (setq lstQF (append lstQF (list (cons 1 txtvl)))) (setq lstDCL (append lstDCL (list (strcat "Text Value : " txtvl)) ) ) ) ;end progn ) ;end if (if (= 3 (car (assoc 3 ss))) (progn (setq dimsty (cdr (assoc 3 ss))) (setq lstQF (append lstQF (list (cons 3 dimsty)))) (setq lstDCL (append lstDCL (list (strcat "Dimension Style : " dimsty)) ) ) ) ;end progn ) ;end if (setq lstidx (LM:listbox "Selection to Filter:" lstDCL 1)) (if lstidx (progn (foreach a lstidx (if (= "True Color" (nth a lstQF)) (if l (setq lstfi (append lstfi (list (cons -4 "<OR") (cons 62 c) (cons -4 "<AND") (cons 62 256) (cons 8 (apply 'strcat (cdr l))) (cons -4 "AND>") (cons -4 "OR>") ) ) ) (setq lstfi (append lstfi (list (cons 62 c)) ) ) ) (setq lstfi (append lstfi (list (nth a lstQF)))) ) ) (sssetfirst nil) ; clear original-selection highlighting/gripping, then: (sssetfirst nil (ssget lstfi)) ) ) (Print "Write by: NghiaKieu") (princ) )
  12. Cái này dùng NXsoft chạy trên Civil 3D nhé bạn
  13. Thay vì lệnh Filter (FI) mặc định chọn rồi xoá xoá. Lisp Quick Filter (QF) này sẽ chọn một số thuộc tính thông dụng để lọc, giảm bớt vài thao tác thừa không cần thiết: ;; List Box - Lee Mac ;; Displays a DCL list box allowing the user to make a selection from the supplied data. ;; msg - [str] Dialog label ;; lst - [lst] List of strings to display ;; bit - [int] 1=allow multiple; 2=return indexes ;; Returns: [lst] List of selected items/indexes, else nil (defun LM:listbox ( msg lst bit / dch des tmp rtn ) (cond ( (not (and (setq tmp (vl-filename-mktemp nil nil ".dcl")) (setq des (open tmp "w")) (write-line (strcat "listbox:dialog{label=\"" msg "\";spacer;:list_box{key=\"list\";multiple_select=" (if (= 1 (logand 1 bit)) "true" "false") ";width=50;height=15;}spacer;ok_cancel;}" ) des ) (not (close des)) (< 0 (setq dch (load_dialog tmp))) (new_dialog "listbox" dch) ) ) (prompt "\nError Loading List Box Dialog.") ) ( t (start_list "list") (foreach itm lst (add_list itm)) (end_list) (setq rtn (set_tile "list" "0")) (action_tile "list" "(setq rtn $value)") (setq rtn (if (= 1 (start_dialog)) (if (= 2 (logand 2 bit)) (mapcar '(lambda ( x ) (nth x lst)) (read (strcat "(" rtn ")"))) (read (strcat "(" rtn ")")) ; (mapcar '(lambda ( x ) (nth x lst)) (read (strcat "(" rtn ")"))) ) ) ) ) ) (if (< 0 dch) (unload_dialog dch) ) (if (and tmp (setq tmp (findfile tmp))) (vl-file-delete tmp) ) rtn ) ;====================================Main Lisp: Quick Filter (QF)====================================== (defun C:QF (/ ss ss1 ob lyrname colr blkname txth txtn lstQF lstDCL lstidx lstfi a) (setq ss1 (entsel "\nSelect Object: ")) (while (or (null ss1) (= "" (cdr (assoc 0 (entget (car ss1))))) ) (setq ss1 (entsel "\nSelect Object Again: ")) ) (setq ss (entget (car ss1))) (setq ob (cdr (assoc 0 ss))) (setq lstQF (list (cons 0 ob))) (if (= "INSERT" ob) (setq lstDCL (list (strcat "Object : " "Block"))) (setq lstDCL (list (strcat "Object : " ob))) );endif (setq lyrname (cdr (assoc 8 ss))) (setq lstQF (append lstQF (list (cons 8 lyrname)))) (setq lstDCL (append lstDCL (list (strcat "Layer : " lyrname)))) (if (= 62 (car (assoc 62 ss))) (progn (setq colr (cdr (assoc 62 ss))) (setq lstQF (append lstQF (list(cons 62 colr)))) (setq lstDCL (append lstDCL (list (strcat "Color : " (rtos colr 2 0))))) );progn (progn (setq lstQF (append lstQF '((62 . 256)))) (setq lstDCL (append lstDCL (list (strcat "Color : " "256")))) ) ) ;end if (if (= 2 (car (assoc 2 ss))) (progn (setq blkname (cdr (assoc 2 ss))) (setq lstQF (append lstQF (list (cons 2 blkname)))) (setq lstDCL (append lstDCL (list (strcat "Block Name : " blkname)))) );end progn ) ;end if (if (= 40 (car (assoc 40 ss))) (progn (setq txth (cdr (assoc 40 ss))) (setq lstQF (append lstQF (list (cons 40 txth)))) (setq lstDCL (append lstDCL (list (strcat "Text Height : " (rtos txth))))) );end progn ) ;end if (if (= 7 (car (assoc 7 ss))) (progn (setq txtn (cdr (assoc 7 ss))) (setq lstQF (append lstQF (list (cons 7 txtn)))) (setq lstDCL (append lstDCL (list (strcat "Text Style Name : " txtn)))) );end progn ) ;end if (setq lstidx (LM:listbox "Selection to Filter:" lstDCL 1)) (foreach a lstidx (setq lstfi (append lstfi (list (nth a lstQF)))) ) (sssetfirst nil (ssget lstfi)) (Print "Write by: NghiaKieu") (princ) )
×